# *.label messages are used by CLI to get column names for tables.
# For example when table displays a list of parameters then
# nz.org.riskscape.engine.bind.Parameter.name.label contains the lable for the name attribute.

nz.org.riskscape.engine.bind.Parameter.name.label=Name
nz.org.riskscape.engine.bind.Parameter.description.label=Description
nz.org.riskscape.engine.bind.Parameter.typeName.label=Type Name
nz.org.riskscape.engine.bind.Parameter.arity.label=Arity

nz.org.riskscape.engine.data.BookmarkResolver.supportedFormatInformation.label = formats


nz.org.riskscape.engine.pipeline.Pipeline.id.label=id
nz.org.riskscape.engine.pipeline.Pipeline.description.label=description
nz.org.riskscape.engine.pipeline.Pipeline.parameterNames.label=parameterNames

nz.org.riskscape.engine.pipeline.Step.id.label=id
nz.org.riskscape.engine.pipeline.Step.inputNames.label=named inputs
nz.org.riskscape.engine.pipeline.Step.description.label=description


nz.org.riskscape.engine.types.TypeInformation.typeClass = class

nz.org.riskscape.engine.function.IdentifiedFunction.Category.BETA = \
  Experimental functions (beta plugin)
nz.org.riskscape.engine.function.IdentifiedFunction.Category.GEOMETRY_PROCESSING = \
  Geometry processing functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.GEOMETRY_LOGICAL = \
  Logical geometry functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.LANGUAGE = \
  Language functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.LOGICAL = \
  Logical functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.MATHS = \
  Maths functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.MISC = \
  Miscellaneous functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.RISK_MODELLING = \
  Risk modelling functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.STRINGS = \
  String functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.OPERATORS = \
  Operators
nz.org.riskscape.engine.function.IdentifiedFunction.Category.RISK_METRICS = \
  Risk metric functions
nz.org.riskscape.engine.function.IdentifiedFunction.Category.UNASSIGNED = \
  Unassigned functions

objects.Source = \
  `{0}` (from {1})

objects.Source.anonymous = \
  `{0}`

objects.SourceLocation = \
  {0} line {1}, column {2}

objects.SourceLocation.unknown = \
  <unknown-location>

objects.SourceLocation.unlined = \
  {0} column {1}

objects.SourceLocation.from = \
  \u0020(from {0})

objects.StepDefinition = \
  step named `{0}`{1}

objects.StepDefinition.unnamed = \
  `{0}` step{1}

objects.StepReference = \
  reference to step `{0}`{1}

objects.Subpipeline = \
  subpipeline (from {0})

objects.URI.unknown = \
  <unknown-location>

objects.URI.cli-arg = \
 <{0}-argument>
